org.apache.sysds.runtime.instructions.fed

## Class BinaryFEDInstruction

- java.lang.Object
- - org.apache.sysds.runtime.instructions.Instruction
  - - org.apache.sysds.runtime.instructions.fed.FEDInstruction
    - - org.apache.sysds.runtime.instructions.fed.ComputationFEDInstruction
      - - org.apache.sysds.runtime.instructions.fed.BinaryFEDInstruction

All Implemented Interfaces:
  LineageTraceable

Direct Known Subclasses:
  AggregateBinaryFEDInstruction, AppendFEDInstruction, BinaryFrameScalarFEDInstruction, BinaryMatrixMatrixFEDInstruction, BinaryMatrixScalarFEDInstruction, CovarianceFEDInstruction, QuantilePickFEDInstruction, TsmmFEDInstruction

    public abstract class BinaryFEDInstruction
    extends ComputationFEDInstruction

### Nested Class Summary

### Nested classes/interfaces inherited from class org.apache.sysds.runtime.instructions.fed.FEDInstruction

`FEDInstruction.FederatedOutput, FEDInstruction.FEDType`

### Nested classes/interfaces inherited from class org.apache.sysds.runtime.instructions.Instruction

`Instruction.IType`

### Field Summary

### Fields inherited from class org.apache.sysds.runtime.instructions.fed.ComputationFEDInstruction

`input1, input2, input3, output`

### Fields inherited from class org.apache.sysds.runtime.instructions.Instruction

`DATATYPE_PREFIX, FEDERATED_INST_PREFIX, GPU_INST_PREFIX, INSTRUCTION_DELIM, LITERAL_PREFIX, OPERAND_DELIM, SP_INST_PREFIX, VALUETYPE_PREFIX`

### Constructor Summary

Constructors
Constructor and Description
`BinaryFEDInstruction(FEDInstruction.FEDType type, Operator op, CPOperand in1, CPOperand in2, CPOperand in3, CPOperand out, String opcode, String istr)`

### Method Summary

All Methods Static Methods Concrete Methods
`static BinaryFEDInstruction` `parseInstruction(String str)`

### Methods inherited from class org.apache.sysds.runtime.instructions.fed.ComputationFEDInstruction

`getLineageItem, getOutputVariableName`

### Methods inherited from class org.apache.sysds.runtime.instructions.fed.FEDInstruction

`getFEDInstructionType, getTID, getType, preprocessInstruction, setTID`

### Methods inherited from class org.apache.sysds.runtime.instructions.Instruction

`getBeginColumn, getBeginLine, getEndColumn, getEndLine, getExtendedOpcode, getFilename, getGraphString, getInstID, getInstructionString, getLineNum, getOpcode, getOperator, getPrivacyConstraint, postprocessInstruction, printMe, processInstruction, requiresLabelUpdate, setInstID, setLocation, setLocation, setLocation, setLocation, setPrivacyConstraint, setPrivacyConstraint, toString, updateInstructionThreadID`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.apache.sysds.runtime.lineage.LineageTraceable

`getLineageItems, hasSingleLineage`

### Constructor Detail

#### BinaryFEDInstruction

    public BinaryFEDInstruction(FEDInstruction.FEDType type,
                                Operator op,
                                CPOperand in1,
                                CPOperand in2,
                                CPOperand in3,
                                CPOperand out,
                                String opcode,
                                String istr)

### Method Detail

#### parseInstruction

    public static BinaryFEDInstruction parseInstruction(String str)